Subject: bug#5428: vc-annotate for Bzr does not show the date

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 May 2015 21:16:09 -0400

FWIW, I've often wanted for vc-annotate to use a completely different
approach, where the buffer's text content is just the actual file's
content and the extra annotations are only displayed indirectly
(e.g. via a background color, tooltip text, margin text, or in-buffer
(but togglable by attribute)).

The way I see it working internally is that the process filter adds the
line annotations as a text-property to the file's lines, and then
a jit-lock-triggered function uses this text-property to change the
display as/when needed.

Also by using the unannotated file's text in buffer, we could enable the
normal font-lock rules, so we as to combine the normal font-lock
highlighting with the background-color of vc-annotate.

        Stefan